Package io.papermc.paper.event.player

# Class PlayerItemFrameChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerItemFrameChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerItemFrameChangeEvent extends PlayerEvent implements Cancellable
Called when an `ItemFrame` is having an item rotated, added, or removed from it.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PlayerItemFrameChangeEvent.ItemFrameChangeAction`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerItemFrameChangeEvent(@NotNull Player player, @NotNull ItemFrame itemFrame, @NotNull ItemStack itemStack, @NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction action)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction`
`getAction()`
Gets the action that was performed on this `ItemFrame`.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemFrame`
`getItemFrame()`
Gets the `ItemFrame` involved in this event.
`@NotNull ItemStack`
`getItemStack()`
Gets the `ItemStack` involved in this event.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setItemStack(@Nullable ItemStack itemStack)`
Sets the `ItemStack` that this `ItemFrame` holds.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerItemFrameChangeEvent

public PlayerItemFrameChangeEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemFrame itemFrame, @NotNull @NotNull ItemStack itemStack, @NotNull @NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction action)

## Method Details

### getItemFrame

@NotNull public @NotNull ItemFrame getItemFrame()
Gets the `ItemFrame` involved in this event.

Returns:
  the `ItemFrame`

### getItemStack

@NotNull public @NotNull ItemStack getItemStack()
Gets the `ItemStack` involved in this event. This is the item being added, rotated, or removed from the `ItemFrame`.

If this method returns air, then the resulting item in the ItemFrame will be empty.

Returns:
  the `ItemStack` being added, rotated, or removed

### setItemStack

public void setItemStack(@Nullable @Nullable ItemStack itemStack)
Sets the `ItemStack` that this `ItemFrame` holds. If null is provided, the ItemStack will become air and the result in the ItemFrame will be empty.

Parameters:
  `itemStack` - `ItemFrame` item

### getAction

@NotNull public @NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction getAction()
Gets the action that was performed on this `ItemFrame`.

Returns:
  action performed on the item frame in this event
See Also:
  - `PlayerItemFrameChangeEvent.ItemFrameChangeAction`

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()